6.0.0-git
2021-01-24

[#11272] Configurable transport encryption for Kolab IMAP backend
Summary Configurable transport encryption for Kolab IMAP backend
Queue Horde Framework Packages
Queue Version Git develop
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-14 (3116 days ago)
Due
Updated 2012-08-29 (3070 days ago)
Assigned
Resolved 2012-07-17 (3113 days ago)
Milestone
Patch No

History
2012-08-29 12:43:03 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 4eb61ca618bf1eb7cfad8bd8b2e02061c583eb4a
Author: Jan Schneider <jan@horde.org>
Date:   Tue Jul 17 16:04:13 2012 +0200

     [jan] Allow to configure encryption in global IMAP configuration 
(Request #11272).

  .../Core/lib/Horde/Core/Factory/KolabStorage.php   |    2 +-
  framework/Core/package.xml                         |    2 ++
  horde/config/conf.xml                              |    8 ++++++++
  horde/docs/CHANGES                                 |    2 ++
  horde/package.xml                                  |    2 ++
  5 files changed, 15 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/4eb61ca618bf1eb7cfad8bd8b2e02061c583eb4a
2012-07-17 14:05:09 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2012-07-17 14:04:57 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit 4eb61ca618bf1eb7cfad8bd8b2e02061c583eb4a
Author: Jan Schneider <jan@horde.org>
Date:   Tue Jul 17 16:04:13 2012 +0200

     [jan] Allow to configure encryption in global IMAP configuration 
(Request #11272).

  .../Core/lib/Horde/Core/Factory/KolabStorage.php   |    2 +-
  framework/Core/package.xml                         |    2 ++
  horde/config/conf.xml                              |    8 ++++++++
  horde/docs/CHANGES                                 |    2 ++
  horde/package.xml                                  |    2 ++
  5 files changed, 15 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/4eb61ca618bf1eb7cfad8bd8b2e02061c583eb4a
2012-07-14 15:21:48 Thomas Jarosch Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Configurable transport encryption for Kolab IMAP backend
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

the generic IMAP Kolab settings in the main horde configuration don't 
feature a "secure" field like the other IMAP configurations, f.e. 
"imp" or the generic "IMAP authentication" both have this field.

Please add a field to enable/disable SSL/TLS encryption and make it consistent
with the rest of the Horde subsystems.

Best regards,
Thomas

Saved Queries